Terminate DR Event
curl --request POST \
--url https://public-api.cloudidr.com/external/api/v1/policies/cyber/terminate/{cidr_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.cloudidr.com/external/api/v1/policies/cyber/terminate/{cidr_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.cloudidr.com/external/api/v1/policies/cyber/terminate/{cidr_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"id": null
},
"message": "termination event already triggered"
}{
"code": 201,
"data": {
"id": null
},
"message": "event row created"
}{
"error": {
"code": "401",
"message": "Unauthorized",
"details": {
"timestamp": "2025-03-04T17:01:01",
"description": "Unable to process access token"
}
}
}{
"error": {
"code": "404",
"message": "Not Found",
"details": {
"timestamp": "2025-03-04T17:15:55",
"description": "Cidr rFVrfliRmYgD1 not found"
}
}
}{
"error": {
"code": "500",
"message": "Internal Server Error",
"details": {
"timestamp": "2025-03-04T17:17:08",
"description": "Unexpected error. Our team is working on it"
}
}
}Disaster Recovery
Terminate DR Event
Terminate a disaster recovery event for a cyber policy. A unique identifier representing the cyber policy or customer view.
POST
/
external
/
api
/
v1
/
policies
/
cyber
/
terminate
/
{cidr_id}
Terminate DR Event
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique identifier representing the cyber policy or customer view. This ID is used to retrieve detailed view information.
Response
Event Already Triggered - A termination event has already been initiated for the provided cyber policy
⌘I

